---
search:
  tags:
    - system
    - GET
seo:
  description: >-
    For one verified pack: each PostgreSQL major with its minor,… Reference for
    the GET /api/v1/packs/{name}/summary endpoint in the TimescaleDB Enterprise
    API.
sidebar:
  label: Show package contents
  badge: GET
title: Show package contents
type: openapi-operation
---
For one verified pack: each PostgreSQL major with its minor, the TimescaleDB versions and the extensions of the console catalog with their versions, from the signed manifest. compare has the changes from the next older verified pack for the same servers (same OS version, for RHEL-compatible (el) the same major, and architecture). For a components pack: components has each component with its version, the architectures, the lowest supported version, and the servers that run it.

`GET /api/v1/packs/{name}/summary`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "arch": "amd64",
  "compare": {
    "majors": [
      {
        "extensions_added": [
          {
            "contrib": true,
            "name": "string",
            "package": "string",
            "versions": [
              "string"
            ]
          }
        ],
        "extensions_changed": [
          {
            "contrib": true,
            "from": [
              "string"
            ],
            "name": "string",
            "package": "string",
            "to": [
              "string"
            ]
          }
        ],
        "extensions_removed": [
          {
            "contrib": true,
            "name": "string",
            "package": "string",
            "versions": [
              "string"
            ]
          }
        ],
        "major": "string",
        "minor_from": "string",
        "minor_to": "string",
        "minors_added": [
          "string"
        ],
        "minors_removed": [
          "string"
        ],
        "timescaledb_added": [
          "string"
        ],
        "timescaledb_removed": [
          "string"
        ]
      }
    ],
    "majors_added": [
      "string"
    ],
    "majors_removed": [
      "string"
    ],
    "name": "string",
    "os_version": "string",
    "packages_changed": [
      {
        "from": "string",
        "name": "patroni",
        "to": "string"
      }
    ],
    "release": "string"
  },
  "components": [
    {
      "archs": [
        "string"
      ],
      "min_reason": "string",
      "min_version": "string",
      "name": "string",
      "postgresql_majors": [
        "string"
      ],
      "servers": [
        {
          "release": "string",
          "server": "string",
          "version": "string"
        }
      ],
      "version": "string"
    }
  ],
  "name": "string",
  "os": "string",
  "os_version": "string",
  "patroni": "string",
  "pgbouncer": "string",
  "postgresql": [
    {
      "extensions": [
        {
          "contrib": true,
          "name": "string",
          "package": "string",
          "versions": [
            "string"
          ]
        }
      ],
      "major": "string",
      "minor": "string",
      "timescaledb": [
        "string"
      ]
    }
  ],
  "release": "string",
  "size_bytes": 0
}
```
